gtkmm 2.4: Atk::Selection Class Reference

Main Page Widgets Namespaces Book

# Atk::Selection Class Reference

Inheritance diagram for Atk::Selection:

[legend]
List of all members.

## Detailed Description

The ATK interface implemented by container objects whose Atk::Object children can be selected.

This should be implemented by UI components with children which are exposed by Atk::Object::ref_child and Atk::Object::get_n_children, if the use of the parent UI component ordinarily involves selection of one or more of the objects corresponding to those AtkObject children - for example, selectable lists.

Note that other types of "selection" (for instance text selection) are accomplished a other ATK interfaces - Atk::Selection is limited to the selection/deselection of children.

## Public Member Functions
bool | add_selection (int i)
| Adds the specified accessible child of the object to the object's selection.
bool | clear_selection ()
| Clears the selection in the object so that no children in the object are selected.
Glib::RefPtr<Atk::Object> | get_selection (int i)
| Gets a reference to the accessible object representing the specified selected child of the object.
int | get_selection_count () const
| Gets the number of accessible children currently selected.
const AtkSelection* | gobj () const
| Provides access to the underlying C GObject.
AtkSelection* | gobj ()
| Provides access to the underlying C GObject.
bool | is_child_selected (int i) const
| Determines if the current child of this object is selected.
bool | remove_selection (int i)
| Removes the specified child of the object from the object's selection.
bool | select_all_selection ()
| Causes every child of the object to be selected if the object supports multiple selections.
Glib::SignalProxy0<void> | signal_selection_changed ()
virtual | ~Selection ()
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::Selection> | wrap (AtkSelection* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::Selection::~Selection | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Atk::Selection::add_interface | ( | GType | gtype_implementer | ) | `[static]`

bool Atk::Selection::add_selection | ( | int | i | ) |

  | Adds the specified accessible child of the object to the object's selection. Parameters:
  | i | A `int` specifying the child index.
Returns: `true` if success, `false` otherwise.

bool Atk::Selection::clear_selection | ( |  | ) |

| Clears the selection in the object so that no children in the object are selected. Returns: `true` if success, `false` otherwise.

Glib::RefPtr<Atk::Object> Atk::Selection::get_selection | ( | int | i | ) |

  | Gets a reference to the accessible object representing the specified selected child of the object. Note: callers should not rely on `0` or on a zero value for indication of whether AtkSelectionIface is implemented, they should use type checking/interface checking macros or the atk_get_accessible_value() convenience method. Parameters:
  | i | A `int` specifying the index in the selection set. (e.g. the ith selection as opposed to the ith child).
Returns: An Atk::Object representing the selected accessible , or `0` if selection does not implement this interface.

int Atk::Selection::get_selection_count | ( |  | ) | const

| Gets the number of accessible children currently selected. Note: callers should not rely on `0` or on a zero value for indication of whether AtkSelectionIface is implemented, they should use type checking/interface checking macros or the atk_get_accessible_value() convenience method. Returns: A `int` representing the number of items selected, or 0 if selection does not implement this interface.

const AtkSelection* Atk::Selection::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

AtkSelection* Atk::Selection::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

bool Atk::Selection::is_child_selected | ( | int | i | ) | const

  | Determines if the current child of this object is selected. Note: callers should not rely on `0` or on a zero value for indication of whether AtkSelectionIface is implemented, they should use type checking/interface checking macros or the atk_get_accessible_value() convenience method. Parameters:
  | i | A `int` specifying the child index.
Returns: A `bool` representing the specified child is selected, or 0 if selection does not implement this interface.

bool Atk::Selection::remove_selection | ( | int | i | ) |

  | Removes the specified child of the object from the object's selection. Parameters:
  | i | A `int` specifying the index in the selection set. (e.g. the ith selection as opposed to the ith child).
Returns: `true` if success, `false` otherwise.

bool Atk::Selection::select_all_selection | ( |  | ) |

| Causes every child of the object to be selected if the object supports multiple selections. Returns: `true` if success, `false` otherwise.

Glib::SignalProxy0<void> Atk::Selection::signal_selection_changed | ( |  | ) |

| Prototype: `void selection_changed()`

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Selection> wrap | ( | AtkSelection* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- selection.h